LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ladspa make errors on slackware 12 (http://www.linuxquestions.org/questions/slackware-14/ladspa-make-errors-on-slackware-12-a-573289/)

AIgare 07-30-2007 02:22 AM

ladspa make errors on slackware 12
 
having problems installing ladspa on slackware 12
cc -I. -Wall -Werror -O3 -fPIC -o plugins/amp.o -c plugins/amp.c
ld -o ../plugins/amp.so plugins/amp.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/delay.o -c plugins/delay.c
ld -o ../plugins/delay.so plugins/delay.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/filter.o -c plugins/filter.c
ld -o ../plugins/filter.so plugins/filter.o -shared
cc -I. -Wall -Werror -O3 -fPIC -o plugins/noise.o -c plugins/noise.c
ld -o ../plugins/noise.so plugins/noise.o -shared
c++ -I. -Wall -Werror -O3 -fPIC -o plugins/sine.o -c plugins/sine.cpp
plugins/sine.cpp: In constructor 'StartupShutdownHandler::StartupShutdownHandler()':
plugins/sine.cpp:266: error: 'instantiateSineOscillator' was not declared in this scope
plugins/sine.cpp:268: error: 'connectPortToSineOscillator' was not declared in this scope
plugins/sine.cpp:270: error: 'activateSineOscillator' was not declared in this scope
plugins/sine.cpp:278: error: 'cleanupSineOscillator' was not declared in this scope
plugins/sine.cpp:291: error: 'runSineOscillator_FreqAudio_AmpAudio' was not declared in t his scope
plugins/sine.cpp:303: error: 'runSineOscillator_FreqAudio_AmpCtrl' was not declared in th is scope
plugins/sine.cpp:315: error: 'runSineOscillator_FreqCtrl_AmpAudio' was not declared in th is scope
plugins/sine.cpp:327: error: 'runSineOscillator_FreqCtrl_AmpCtrl' was not declared in thi s scope
make: *** [../plugins/sine.so] Error 1

I get some issues with cmt too!!

however i did not have these errors with slackware 11


ladspa_sdk.tgz

J_W 07-30-2007 07:10 AM

Hi,

>I get some issues with cmt too!!
>However i did not have these errors with slackware 11

Slackware-12.0 uses gcc-4.1.2.
There is a gcc4 patch for ladspa_sdk source at Slacky's repository 12.0.
http://www.slacky.eu/repository/slac...dspa/1.12/src/


All times are GMT -5. The time now is 09:35 AM.